Subject: bug#26531: closed (Re: Emacs crashes with adding space character)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Apr 2017 19:26:02 +0000

Your bug report

#26531: Emacs crashes with adding space character

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26531: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26531
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Emacs crashes with adding space character
From: Paul Eggert <[email-masked]>
To: Ranjan Maitra <[email-masked]>
Cc: [email-masked]
Date: Sun, 16 Apr 2017 12:24:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Ranjan Maitra wrote:
> PS: I was able to compile the git version and at least now, I could not replicate the bug on this little file using the newly-compiled emacs.

Thanks for checking. Closing the bug report.

> Is there a date for the release of a new version?

Not that I know of. I don't know what's holding things up. For some time I've 
thought that users are suffering significantly more by not having the new 
release than they would suffer by getting it "prematurely".

Subject: Emacs crashes with adding space character
From: Ranjan Maitra <[email-masked]>
To: [email-masked]
Date: Sat, 15 Apr 2017 22:18:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am running emacs 25.1 on a fully updated Fedora 25 linux.

I have stumbled upon the bug when editing the attached file and I can not figure out the issues.

In the above file, if I go to before "Usage..." and start typing anything, including whitespace, emacs crashes. Here is gdb output with bt full and backtrace.

(gdb) bt full
#0  0x000000000053af6b in re_match_2_internal ()
#1  0x000000000053850a in fast_looking_at ()
#2  0x00000000004a983b in bidi_at_paragraph_end ()
#3  0x00000000004ada9f in bidi_move_to_visually_next ()
#4  0x00000000004446b0 in set_iterator_to_next ()
#5  0x000000000044eafe in display_line ()
#6  0x0000000000451268 in try_window ()
#7  0x000000000046544e in redisplay_window ()
#8  0x000000000046852b in redisplay_window_0 ()
#9  0x00000000005644be in internal_condition_case_1 ()
#10 0x000000000043227d in redisplay_windows ()
#11 0x0000000000454dd9 in redisplay_internal ()
#12 0x00000000004fb44b in read_char ()
#13 0x00000000004fdf3d in read_key_sequence.constprop ()
#14 0x00000000004ffb84 in command_loop_1 ()
#15 0x0000000000564432 in internal_condition_case ()
#16 0x00000000004f1614 in command_loop_2 ()
#17 0x00000000005643d3 in internal_catch ()
#18 0x00000000004f15d0 in command_loop ()
#19 0x00000000004f5dd7 in recursive_edit_1 ()
#20 0x00000000004f6128 in Frecursive_edit ()
#21 0x0000000000419d52 in main ()

(gdb) backtrace
#0  0x000000000053af6b in re_match_2_internal ()
#1  0x000000000053850a in fast_looking_at ()
#2  0x00000000004a983b in bidi_at_paragraph_end ()
#3  0x00000000004ada9f in bidi_move_to_visually_next ()
#4  0x00000000004446b0 in set_iterator_to_next ()
#5  0x000000000044eafe in display_line ()
#6  0x0000000000451268 in try_window ()
#7  0x000000000046544e in redisplay_window ()
#8  0x000000000046852b in redisplay_window_0 ()
#9  0x00000000005644be in internal_condition_case_1 ()
#10 0x000000000043227d in redisplay_windows ()
#11 0x0000000000454dd9 in redisplay_internal ()
#12 0x00000000004fb44b in read_char ()
#13 0x00000000004fdf3d in read_key_sequence.constprop ()
#14 0x00000000004ffb84 in command_loop_1 ()
#15 0x0000000000564432 in internal_condition_case ()
#16 0x00000000004f1614 in command_loop_2 ()
#17 0x00000000005643d3 in internal_catch ()
#18 0x00000000004f15d0 in command_loop ()
#19 0x00000000004f5dd7 in recursive_edit_1 ()
#20 0x00000000004f6128 in Frecursive_edit ()
#21 0x0000000000419d52 in main ()

Note that I have no command for xbacktrace.
(gdb) xbacktrace
Undefined command: "xbacktrace".  Try "help".

This has really been a major block for me. So, I was wondering if anyone can help track down the error.

Please feel free to ask questions if something is not clear.

Thanks again! 

Best wishes,
Ranjan

-- 
Ranjan Maitra <[email-masked]>